Download it now!
Bug 64068 - EDITING: Comments don't delete (immediately)
Summary: EDITING: Comments don't delete (immediately)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.0.alpha1
Hardware: All Linux (All)
: high normal
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA bibisected40 target:4.1.0.0.beta2...
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-04-30 01:44 UTC by Clay Spence
Modified: 2015-12-22 01:31 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Document that has a comment, showing problem. (21.37 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-04-30 01:44 UTC, Clay Spence
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Clay Spence 2013-04-30 01:44:38 UTC
Created attachment 78625 [details]
Document that has a comment, showing problem.

Problem description: 
When I delete a comment, it doesn't go away until I close the document and re-open it. After selecting "Delete comment" from the menu for the cell, the comment is still there. Right-clicking on the cell again brings up a menu with no comment items  except "Insert comment". If I save, close, and re-open, the comment is gone.

It *does* work properly with a newly-opened document. Maybe it's because these were created with a previous version?

Steps to reproduce:
1. Open the document I've attached.
2. Right click on the cell with the comment.
3. Select "Delete comment" from the menu
4. Save.
5. Close.
6. Re-open.

Current behavior:
After step 3, the comment is not gone. I can do things with it.

Expected behavior:
It should go away, without having to do steps 4, 5, and 6.
              
Operating System: Ubuntu
Version: 4.0.2.2 release
Comment 1 Joel Madero 2013-04-30 03:17:05 UTC
Thank you for reporting this issue! I have been able to confirm the issue on:
Version 3.6.4.3 
Platform: Bodhi Linux 2.2 x64
+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
As I've been able to confirm this problem on an earlier release I am changing the version number as version is the earliest version that we can confirm the bug, we use comments to say that the bug exists in newer versions as well.

Marking as:

New (confirmed)
Normal - can prevent high quality work if user isn't aware that comment was deleted
High - quite annoying and a very common task (delete a comment) + regression

Keywords - regression

Whiteboard Status - bibisect40

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 2 Joel Madero 2013-04-30 03:17:12 UTC
3caaa1fe00119af9330e82495519303cc59512ae is the first bad commit
commit 3caaa1fe00119af9330e82495519303cc59512ae
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Thu Apr 26 03:40:57 2012 +0200

    source-hash-efe7517856b5682b0f595822b953bf3ae4233588
    
    commit efe7517856b5682b0f595822b953bf3ae4233588
    Author:     Tor Lillqvist <tml@iki.fi>
    AuthorDate: Fri Mar 2 16:43:18 2012 +0200
    Commit:     Tor Lillqvist <tml@iki.fi>
    CommitDate: Fri Mar 2 18:43:37 2012 +0200
    
        WaE: has virtual functions but non-virtual destructor

:100644 100644 3970e1b6a9c102c1d1aee5f59b3d27ec38efbb52 0f8761653129588c680dafea8ddc05d02a1aecdc M	autogen.log
:100644 100644 c352940df0e2d513f7f1c4e5744b95d63d4f18fb b33dbfeb0d5cea364297ebf05d60840b29426443 M	ccache.log
:100644 100644 cae646cc761327f27a5b4c44e5fb694d2b8c3e4f b62ea3100f4ab008c8eb062371457a857f9e7cac M	commitmsg
:100644 100644 baa2108091e01071bbe1877a797911fc416438c4 dae3bd6c92620b4028d0fd2b3611ec22d9d27bb5 M	dev-install.log
:100644 100644 56f0b4b9e0598ec9ba50aa295103a9bd575657f8 a811aac917cd9a84424abdcd13f94067c0a65de3 M	make.log
:040000 040000 64ad2f785665a03cb36af70fd4b16afe64dc97de f3abbdb997e62dc7b8cf0be4e474cb1b1127f95e M	opt
Comment 3 Joel Madero 2013-04-30 03:17:28 UTC
# bad: [5b4b36d87517a6ea96ff8c84c46b12f462fc9a1a] source-hash-8450a99c744e9005f19173e4df35d65640bcf5c4
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# bad: [16b0b88cbd4ef0f51816e97277e40c5cf78f7bf9] source-hash-099198a4224778fe6e43f5dc13b5b9b1b4dc828c
git bisect bad 16b0b88cbd4ef0f51816e97277e40c5cf78f7bf9
# good: [598083cdb5699e7f45183da8b750815f62ff5485] source-hash-ecb1599ad00e71dfe05f3ae9a71bdce5f7540a40
git bisect good 598083cdb5699e7f45183da8b750815f62ff5485
# bad: [cc1fc072dd691da3da43742dfc3fdd126157257b] source-hash-18c661f715a0b6850d30b374e5556dc14a377d2b
git bisect bad cc1fc072dd691da3da43742dfc3fdd126157257b
# bad: [a6b82796d2a3b8fd172afcb3ebd58877094ac8bc] source-hash-32b61ed8931acd97e488bc73486244c385a3a974
git bisect bad a6b82796d2a3b8fd172afcb3ebd58877094ac8bc
# good: [b89b0bf8ba5b8463445d6c9222c6a33624c8f1c8] source-hash-c581d33dec47a4c411a034482876543f6357d1e8
git bisect good b89b0bf8ba5b8463445d6c9222c6a33624c8f1c8
# bad: [3caaa1fe00119af9330e82495519303cc59512ae] source-hash-efe7517856b5682b0f595822b953bf3ae4233588
git bisect bad 3caaa1fe00119af9330e82495519303cc59512ae
# good: [cd6889b55684a5acd4aac29413643e95ae16643d] source-hash-b9b8ae8a484471ce067ad09dc96cad0d87285a6f
git bisect good cd6889b55684a5acd4aac29413643e95ae16643d
# good: [9dc6c5d704f8e94d6689e0f4fec23ffa47c1e73c] source-hash-5af303c0cd4d46c459c6b90712843967d716c866
git bisect good 9dc6c5d704f8e94d6689e0f4fec23ffa47c1e73c
Comment 4 Markus Mohrhard 2013-05-27 20:50:05 UTC
Should only happen to notes captions that are always shown. I'm working on a fix.
Comment 5 Commit Notification 2013-05-28 00:31:14 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=34af6ec157eb82af02bf14387167beb2c4ae48ec&h=libreoffice-4-1

correctly delete note captions, fdo#64068


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-05-28 00:31:32 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=86079e8823119599fb81ec6cfd1225d4b37cc525

correctly delete note captions, fdo#64068



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Markus Mohrhard 2013-05-28 00:35:50 UTC
Pending review for 4-0.
Comment 8 Commit Notification 2013-05-28 09:39:23 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=276508a97d9d5a03169d3d8906e5a6d3ff3d0b0b&h=libreoffice-4-0

correctly delete note captions, fdo#64068


It will be available in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Björn Michaelsen 2013-06-26 11:26:29 UTC
As this is assumed to be introduced by:

 http://cgit.freedesktop.org/libreoffice/core/commit/?id=921fb226d2836673c1d3ef0f254708a5c5c0b313

its already in all 3.6 releases, and thus no minor release regression.
Comment 10 Robinson Tryon (qubit) 2015-12-22 01:31:51 UTC
Removing comma from Whiteboard (please use a space to delimit values in this field)
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Whiteboard#Getting_Started
[NinjaEdit]